Package org.eclipse.graphiti.func

## Interface ICreate

All Superinterfaces:
  `ICreateInfo`

All Known Subinterfaces:
  `ICreateFeature`, `IPattern`

All Known Implementing Classes:
  `AbstractCreateFeature`, `AbstractPattern`, `CreateFeatureForPattern`, `IdPattern`, `TypedPattern`

    public interface ICreate
    extends ICreateInfo

The Interface ICreate.

### Field Summary

Fields
`static java.lang.Object[]` `EMPTY` Empty object array as return for unsuccessful create operations.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canCreate​(ICreateContext context)` Checks if business object can be created for the given context.
`java.lang.Object[]` `create​(ICreateContext context)` Creates the business object for the given context.

### Methods inherited from interface org.eclipse.graphiti.func.ICreateInfo

`getCreateDescription, getCreateImageId, getCreateLargeImageId, getCreateName`

### Field Detail

#### EMPTY

    static final java.lang.Object[] EMPTY

Empty object array as return for unsuccessful create operations.

### Method Detail

#### canCreate

    boolean canCreate​(ICreateContext context)

Checks if business object can be created for the given context.

Parameters:
  `context` - the context
Returns:
  true if create is possible.

#### create

    java.lang.Object[] create​(ICreateContext context)

Creates the business object for the given context.

Parameters:
  `context` - the context
Returns:
  the newly created objects